default.h File Reference

Classes for DefaultEncryptor, DefaultDecryptor, DefaultEncryptorWithMAC and DefaultDecryptorWithMAC. More...

Go to the source code of this file.

## Classes

class | DefaultEncryptor
| Password-Based Encryptor using TripleDES. More...
class | DefaultDecryptor
| Password-Based Decryptor using TripleDES. More...
class | DefaultDecryptor::Err
class | DefaultDecryptor::KeyBadErr
class | DefaultEncryptorWithMAC
| Password-Based encryptor using TripleDES and HMAC/SHA-1. More...
class | DefaultDecryptorWithMAC
| Password-Based decryptor using TripleDES and HMAC/SHA-1. More...
class | DefaultDecryptorWithMAC::MACBadErr
| Excpetion thrown when an incorrect MAC is encountered. More...

## Typedefs

typedef DES_EDE2 | DefaultBlockCipher
| Default block cipher for DefaultEncryptor, DefaultDecryptor, DefaultEncryptorWithMAC and DefaultDecryptorWithMAC.
typedef SHA | DefaultHashModule
| Default hash for use with DefaultEncryptorWithMAC and DefaultDecryptorWithMAC.
typedef HMAC< DefaultHashModule > | DefaultMAC
| Default HMAC for use withDefaultEncryptorWithMAC and DefaultDecryptorWithMAC.

## Detailed Description

Classes for DefaultEncryptor, DefaultDecryptor, DefaultEncryptorWithMAC and DefaultDecryptorWithMAC.

Definition in file default.h.